<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_AccountsReceivableTradeAndContractAssetsCA_label" xlink:role="http://www.xbrl.org/2003/role/label">Accounts receivable-trade, and contract assets</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_AccountsReceivableTradeAndContractAssetsCA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Accounts receivable-trade, and contract assets-CA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Decrease (increase) in trade receivables and contract assets</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Decrease (increase) in trade receivables and contract assets-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label" xlink:role="http://www.xbrl.org/2003/role/label">Disclosure of Sustainability-related Financial Information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Disclosure of Sustainability-related Financial Information [heading]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Disclosure of Sustainability-related Financial Information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Disclosure of Sustainability-related Financial Information [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_GainOnForgivenessOfConsumptionTaxesNOI_label" xlink:role="http://www.xbrl.org/2003/role/label">Gain on forgiveness of consumption taxes</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_GainOnForgivenessOfConsumptionTaxesNOI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gain on forgiveness of consumption taxes-NOI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_GovernanceTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Governance</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_GovernanceTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Governance [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_HarakawaHirokazuMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Harakawa, Hirokazu</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_HarakawaHirokazuMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Harakawa, Hirokazu [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_IekiTokuhikoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ieki, Tokuhiko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_IekiTokuhikoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ieki, Tokuhiko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_IncreaseDecreaseInContractLiabilitiesOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in contract liabilities</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_IncreaseDecreaseInContractLiabilitiesOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Increase (decrease) in contract liabilities-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_KikuchiYoshihiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kikuchi, Yoshihiro</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_KikuchiYoshihiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kikuchi, Yoshihiro [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_KimuraMasanoriMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kimura, Masanori</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_KimuraMasanoriMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kimura, Masanori [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_KitadaShinjiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kitada, Shinji</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_KitadaShinjiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kitada, Shinji [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_MetricsAndTargetsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Metrics and targets</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_MetricsAndTargetsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Metrics and targets [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_NambaYusukeMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Namba, Yusuke</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_NambaYusukeMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Namba, Yusuke [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_NetIncreaseDecreaseInShortTermBorrowingsFinCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Net increase (decrease) in short-term borrowings</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_NetIncreaseDecreaseInShortTermBorrowingsFinCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Net increase (decrease) in short-term borrowings-FinCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_OgimotoNarukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ogimoto, Naruki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_OgimotoNarukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ogimoto, Naruki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_PayrollsAndBonusesSGA_label" xlink:role="http://www.xbrl.org/2003/role/label">Payrolls and bonuses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_PayrollsAndBonusesSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Payrolls and bonuses-SGA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Policy on human resource development and improvement of internal environment</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Policy on human resource development and improvement of internal environment, Strategy [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_ProceedsFromLongTermLoanPayableFinCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Proceeds from long-term loan payable</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_ProceedsFromLongTermLoanPayableFinCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Proceeds from long-term loan payable-FinCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_ProceedsFromReturnOfLeaseDepositsInvCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Proceeds from return of lease deposits</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_ProceedsFromReturnOfLeaseDepositsInvCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Proceeds from return of lease deposits-InvCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_RiskManagementTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Risk management</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_RiskManagementTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Risk management [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_StrategyTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Strategy</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_StrategyTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Strategy [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_YamadaIkuoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yamada, Ikuo</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E39382-000_YamadaIkuoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yamada, Ikuo [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Cumulative effects of changes in accounting policies</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jppfs_cor_RestatedBalance_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Restated balance</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="jppfs_cor_RestatedBalance" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_AccountsReceivableTradeAndContractAssetsCA" xlink:label="jpcrp030000-asr_E39382-000_AccountsReceivableTradeAndContractAssetsCA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF" xlink:label="jpcrp030000-asr_E39382-000_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_GainOnForgivenessOfConsumptionTaxesNOI" xlink:label="jpcrp030000-asr_E39382-000_GainOnForgivenessOfConsumptionTaxesNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_GovernanceTextBlock" xlink:label="jpcrp030000-asr_E39382-000_GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_HarakawaHirokazuMember" xlink:label="jpcrp030000-asr_E39382-000_HarakawaHirokazuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_IekiTokuhikoMember" xlink:label="jpcrp030000-asr_E39382-000_IekiTokuhikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_IncreaseDecreaseInContractLiabilitiesOpeCF" xlink:label="jpcrp030000-asr_E39382-000_IncreaseDecreaseInContractLiabilitiesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_KikuchiYoshihiroMember" xlink:label="jpcrp030000-asr_E39382-000_KikuchiYoshihiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_KimuraMasanoriMember" xlink:label="jpcrp030000-asr_E39382-000_KimuraMasanoriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_KitadaShinjiMember" xlink:label="jpcrp030000-asr_E39382-000_KitadaShinjiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_MetricsAndTargetsTextBlock" xlink:label="jpcrp030000-asr_E39382-000_MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_NambaYusukeMember" xlink:label="jpcrp030000-asr_E39382-000_NambaYusukeMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_NetIncreaseDecreaseInShortTermBorrowingsFinCF" xlink:label="jpcrp030000-asr_E39382-000_NetIncreaseDecreaseInShortTermBorrowingsFinCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_OgimotoNarukiMember" xlink:label="jpcrp030000-asr_E39382-000_OgimotoNarukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_PayrollsAndBonusesSGA" xlink:label="jpcrp030000-asr_E39382-000_PayrollsAndBonusesSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:label="jpcrp030000-asr_E39382-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_ProceedsFromLongTermLoanPayableFinCF" xlink:label="jpcrp030000-asr_E39382-000_ProceedsFromLongTermLoanPayableFinCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_ProceedsFromReturnOfLeaseDepositsInvCF" xlink:label="jpcrp030000-asr_E39382-000_ProceedsFromReturnOfLeaseDepositsInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_RiskManagementTextBlock" xlink:label="jpcrp030000-asr_E39382-000_RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_StrategyTextBlock" xlink:label="jpcrp030000-asr_E39382-000_StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E39382-000_2024-02-29_01_2024-05-29.xsd#jpcrp030000-asr_E39382-000_YamadaIkuoMember" xlink:label="jpcrp030000-asr_E39382-000_YamadaIkuoMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_AccountsReceivableTradeAndContractAssetsCA" xlink:to="jpcrp030000-asr_E39382-000_AccountsReceivableTradeAndContractAssetsCA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_AccountsReceivableTradeAndContractAssetsCA" xlink:to="jpcrp030000-asr_E39382-000_AccountsReceivableTradeAndContractAssetsCA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF" xlink:to="jpcrp030000-asr_E39382-000_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF" xlink:to="jpcrp030000-asr_E39382-000_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="jpcrp030000-asr_E39382-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_GainOnForgivenessOfConsumptionTaxesNOI" xlink:to="jpcrp030000-asr_E39382-000_GainOnForgivenessOfConsumptionTaxesNOI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_GainOnForgivenessOfConsumptionTaxesNOI" xlink:to="jpcrp030000-asr_E39382-000_GainOnForgivenessOfConsumptionTaxesNOI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_GovernanceTextBlock" xlink:to="jpcrp030000-asr_E39382-000_GovernanceTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_GovernanceTextBlock" xlink:to="jpcrp030000-asr_E39382-000_GovernanceTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_HarakawaHirokazuMember" xlink:to="jpcrp030000-asr_E39382-000_HarakawaHirokazuMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_HarakawaHirokazuMember" xlink:to="jpcrp030000-asr_E39382-000_HarakawaHirokazuMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_IekiTokuhikoMember" xlink:to="jpcrp030000-asr_E39382-000_IekiTokuhikoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_IekiTokuhikoMember" xlink:to="jpcrp030000-asr_E39382-000_IekiTokuhikoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_IncreaseDecreaseInContractLiabilitiesOpeCF" xlink:to="jpcrp030000-asr_E39382-000_IncreaseDecreaseInContractLiabilitiesOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_IncreaseDecreaseInContractLiabilitiesOpeCF" xlink:to="jpcrp030000-asr_E39382-000_IncreaseDecreaseInContractLiabilitiesOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_KikuchiYoshihiroMember" xlink:to="jpcrp030000-asr_E39382-000_KikuchiYoshihiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_KikuchiYoshihiroMember" xlink:to="jpcrp030000-asr_E39382-000_KikuchiYoshihiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_KimuraMasanoriMember" xlink:to="jpcrp030000-asr_E39382-000_KimuraMasanoriMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_KimuraMasanoriMember" xlink:to="jpcrp030000-asr_E39382-000_KimuraMasanoriMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_KitadaShinjiMember" xlink:to="jpcrp030000-asr_E39382-000_KitadaShinjiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_KitadaShinjiMember" xlink:to="jpcrp030000-asr_E39382-000_KitadaShinjiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_MetricsAndTargetsTextBlock" xlink:to="jpcrp030000-asr_E39382-000_MetricsAndTargetsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_MetricsAndTargetsTextBlock" xlink:to="jpcrp030000-asr_E39382-000_MetricsAndTargetsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_NambaYusukeMember" xlink:to="jpcrp030000-asr_E39382-000_NambaYusukeMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_NambaYusukeMember" xlink:to="jpcrp030000-asr_E39382-000_NambaYusukeMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_NetIncreaseDecreaseInShortTermBorrowingsFinCF" xlink:to="jpcrp030000-asr_E39382-000_NetIncreaseDecreaseInShortTermBorrowingsFinCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_NetIncreaseDecreaseInShortTermBorrowingsFinCF" xlink:to="jpcrp030000-asr_E39382-000_NetIncreaseDecreaseInShortTermBorrowingsFinCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_OgimotoNarukiMember" xlink:to="jpcrp030000-asr_E39382-000_OgimotoNarukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_OgimotoNarukiMember" xlink:to="jpcrp030000-asr_E39382-000_OgimotoNarukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_PayrollsAndBonusesSGA" xlink:to="jpcrp030000-asr_E39382-000_PayrollsAndBonusesSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_PayrollsAndBonusesSGA" xlink:to="jpcrp030000-asr_E39382-000_PayrollsAndBonusesSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="jpcrp030000-asr_E39382-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="jpcrp030000-asr_E39382-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_ProceedsFromLongTermLoanPayableFinCF" xlink:to="jpcrp030000-asr_E39382-000_ProceedsFromLongTermLoanPayableFinCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_ProceedsFromLongTermLoanPayableFinCF" xlink:to="jpcrp030000-asr_E39382-000_ProceedsFromLongTermLoanPayableFinCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_ProceedsFromReturnOfLeaseDepositsInvCF" xlink:to="jpcrp030000-asr_E39382-000_ProceedsFromReturnOfLeaseDepositsInvCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_ProceedsFromReturnOfLeaseDepositsInvCF" xlink:to="jpcrp030000-asr_E39382-000_ProceedsFromReturnOfLeaseDepositsInvCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_RiskManagementTextBlock" xlink:to="jpcrp030000-asr_E39382-000_RiskManagementTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_RiskManagementTextBlock" xlink:to="jpcrp030000-asr_E39382-000_RiskManagementTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_StrategyTextBlock" xlink:to="jpcrp030000-asr_E39382-000_StrategyTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_StrategyTextBlock" xlink:to="jpcrp030000-asr_E39382-000_StrategyTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_YamadaIkuoMember" xlink:to="jpcrp030000-asr_E39382-000_YamadaIkuoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E39382-000_YamadaIkuoMember" xlink:to="jpcrp030000-asr_E39382-000_YamadaIkuoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_RestatedBalance" xlink:to="jppfs_cor_RestatedBalance_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>